Bug 1694420 - [abrt] mock: rmtree(): util.py:231:rmtree:PermissionError: [Errno 13] Permission denied: '/var/lib/mock/fedora-29-x86_64/root/builddir/build/SOURCES'
Summary: [abrt] mock: rmtree(): util.py:231:rmtree:PermissionError: [Errno 13] Permiss...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2c9fa9798e73aa360ed158b6db2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-31 09:29 UTC by Markus Linnala
Modified: 2020-05-05 07:17 UTC (History)
6 users (show)

Fixed In Version: mock-2.0-2.fc30 mock-2.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:45:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.02 KB, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: cgroup (389 bytes, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: cpuinfo (1.11 KB, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: environ (203 bytes, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: machineid (135 bytes, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: mountinfo (4.53 KB, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: namespaces (121 bytes, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
File: open_fds (1.43 KB, text/plain)
2019-03-31 09:29 UTC, Markus Linnala
no flags Details
Add log with full run of mock command run (37.14 KB, application/gzip)
2019-11-06 20:12 UTC, Markus Linnala
no flags Details

Description Markus Linnala 2019-03-31 09:29:12 UTC
Description of problem:
This happens every time I clean libdir and then build package first time. It does not matter what package it is. Second time always works.

Version-Release number of selected component:
mock-1.4.14-1.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -tt /usr/libexec/mock/mock -n -N -r fedora-29-x86_64 --buildsrpm --spec=ckb-next.spec --sources=SOURCES
crash_function: rmtree
exception_type: PermissionError
executable:     /usr/libexec/mock/mock
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.4-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
util.py:231:rmtree:PermissionError: [Errno 13] Permission denied: '/var/lib/mock/fedora-29-x86_64/root/builddir/build/SOURCES'

Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 977, in <module>
    main()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 766, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 864, in run_command
    do_buildsrpm(config_opts, commands, buildroot, options, args)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 559, in do_buildsrpm
    cmd=cmd, post=None, clean=clean)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 482, in rebuild_generic
    ret = cmd(item)
  File "/usr/libexec/mock/mock", line 557, in cmd
    follow_links=options.symlink_dereference)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/backend.py", line 395, in buildsrpm
    util.rmtree(self.buildroot.make_chroot_path(self.buildroot.builddir, "SOURCES"))
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 231, in rmtree
    os.rmdir(path)
PermissionError: [Errno 13] Permission denied: '/var/lib/mock/fedora-29-x86_64/root/builddir/build/SOURCES'

Local variables in innermost frame:
path: '/var/lib/mock/fedora-29-x86_64/root/builddir/build/SOURCES'
selinux: False
exclude: ()
try_again: False
retries: 0
failed_to_handle: False
failed_filename: None
names: []

Comment 1 Markus Linnala 2019-03-31 09:29:15 UTC
Created attachment 1550086 [details]
File: backtrace

Comment 2 Markus Linnala 2019-03-31 09:29:16 UTC
Created attachment 1550087 [details]
File: cgroup

Comment 3 Markus Linnala 2019-03-31 09:29:17 UTC
Created attachment 1550088 [details]
File: cpuinfo

Comment 4 Markus Linnala 2019-03-31 09:29:19 UTC
Created attachment 1550089 [details]
File: environ

Comment 5 Markus Linnala 2019-03-31 09:29:20 UTC
Created attachment 1550090 [details]
File: machineid

Comment 6 Markus Linnala 2019-03-31 09:29:22 UTC
Created attachment 1550091 [details]
File: mountinfo

Comment 7 Markus Linnala 2019-03-31 09:29:23 UTC
Created attachment 1550092 [details]
File: namespaces

Comment 8 Markus Linnala 2019-03-31 09:29:24 UTC
Created attachment 1550093 [details]
File: open_fds

Comment 9 Ben Cotton 2019-10-31 19:41:57 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Pavel Raiskup 2019-11-05 14:19:21 UTC
(In reply to Markus Linnala from comment #0)
> Description of problem:
> This happens every time I clean libdir and then build package first time.

Thanks for the report.  What do you mean by 'clean libdir'?  Can you please
provide step-by-step reproducer, and check mock-1.4.21?

Thank you!

Comment 11 Markus Linnala 2019-11-06 20:08:56 UTC
Okay, here is full step-by-step reproducer.



Install new Fedora 31 virtual machine using Virtual Machine Manager.

Use install image from:

http://www.nic.funet.fi/pub/mirrors/fedora.redhat.com/pub/fedora/linux/releases/31/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-31-1.9.iso

I guess any other relevant image could be used. This just was something I had already downloaded.



Choose the operating system you are installling:

"Fedora 30"

As there is no "Fedora 31" possible to select or automatically recognized.



Select slightly more powerful virtual machine:

Memory 8192

CPUs 4

I guess you can choose something else too.



Select defaults next.

Virtual machine starts.

Choose language:

English



In Software Selection choose:

Minimal Install

I guess you can choose something else, but I think virtual machine installs faster this way.



Setup User Settings and create user named "user".

Select Default in "Installation Destination".

Install machine.



Log in from console as root.

Setup sudo not to use password.

Get ip.

Logout.



Copy ssh key to user using previous ip.

Log in as "user"

Install mock.

sudo dnf install -y mock



Setup mock group by running:

sudo /usr/sbin/usermod -a -G mock $USER

Logout and login again. This should enable your account to achieve mock group property.



Crate a spec file "foo.spec":

<snip>
Summary: Foo
Name: foo
Version: 0
Release: 0%{?dist}
License: GPL

%description
Foo

%prep
:

%build
:

%install
mkdir -p %{buildroot}%{_localstatedir}/cache/foo
touch %{buildroot}%{_localstatedir}/cache/foo/bar

%files
%{_localstatedir}/cache/foo
</snip>

I guess you can use any other spec file with relevant sources too.



Build src.rpm file from foo.spec using command:

mock -n --buildsrpm --spec=foo.spec --sources=.

[user@localhost ~]$ mock -n -N --unpriv --buildsrpm --spec=foo.spec --sources=.
...
Complete!
Finish: dnf install
Start: creating root cache
Finish: creating root cache
Finish: chroot init
INFO: Installed packages:
Start: buildsrpm
Finish: buildsrpm
ERROR: Exception(foo.spec) Config(fedora-31-x86_64) 2 minutes 6 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-31-x86_64/result
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 980, in <module>
    exitStatus = main()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 757, in main
    result = run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 864, in run_command
    mockbuild.rebuild.do_buildsrpm(config_opts, commands, buildroot, options, args)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 101, in do_buildsrpm
    cmd=cmd, post=None, clean=clean)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 25, in rebuild_generic
    ret = cmd(item)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 98, in cmd
    follow_links=options.symlink_dereference)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/backend.py", line 582, in buildsrpm
    util.rmtree(self.buildroot.make_chroot_path(self.buildroot.builddir, "SOURCES"))
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 266, in rmtree
    os.rmdir(path)
PermissionError: [Errno 13] Permission denied: '/var/lib/mock/fedora-31-x86_64/root/builddir/build/SOURCES'



When ever you try again you do not need to reinstall machine from the scratch to see this error.

You can just remove build env:

sudo rm -rf /var/cache/mock/fedora-31-x86_64/root_cache /var/lib/mock/fedora-31-x86_64

And then run again:

mock -n --buildsrpm --spec=foo.spec --sources=.

...
Traceback (most recent call last):
  File "/usr/libexec/mock/mock", line 980, in <module>
    exitStatus = main()
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 757, in main
    result = run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/libexec/mock/mock", line 864, in run_command
    mockbuild.rebuild.do_buildsrpm(config_opts, commands, buildroot, options, args)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 101, in do_buildsrpm
    cmd=cmd, post=None, clean=clean)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 25, in rebuild_generic
    ret = cmd(item)
  File "/usr/lib/python3.7/site-packages/mockbuild/rebuild.py", line 98, in cmd
    follow_links=options.symlink_dereference)
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/backend.py", line 582, in buildsrpm
    util.rmtree(self.buildroot.make_chroot_path(self.buildroot.builddir, "SOURCES"))
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 95, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 266, in rmtree
    os.rmdir(path)
PermissionError: [Errno 13] Permission denied: '/var/lib/mock/fedora-31-x86_64/root/builddir/build/SOURCES'


Relevant software versions are:

mock-1.4.21-1.fc31.noarch
mock-core-configs-31.7-1.fc31.noarch

There is no other software or configuration changes.

I guess main idea to reproduce is to use '-n' option.

Comment 12 Markus Linnala 2019-11-06 20:12:32 UTC
Created attachment 1633448 [details]
Add log with full run of mock command run

Here is full log of running: "mock -n --buildsrpm --spec=foo.spec --sources=." catched via script command.

Comment 13 Markus Linnala 2019-11-06 20:13:11 UTC
As I've seen this bug in F31 I'll change Version field.

Comment 14 Markus Linnala 2019-11-06 20:18:10 UTC
This set of commands seems to be simplest way to reproduce bug when you have already installed machine and you have setup mock.

sudo rm -rf /var/cache/mock/fedora-31-x86_64/root_cache /var/lib/mock/fedora-31-x86_64;mock -n --buildsrpm --spec=foo.spec --sources=.

At least I can easily reproduce issue every time I run commands.

Comment 15 Pavel Raiskup 2019-11-07 08:59:28 UTC
Thank you, I reproduced it now.

Comment 17 Fedora Update System 2020-02-08 16:50:34 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 18 Fedora Update System 2020-02-08 16:51:17 UTC
FEDORA-2020-4ab9c18a6a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 19 Fedora Update System 2020-02-08 16:51:23 UTC
FEDORA-2020-8c3f06d776 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 20 Fedora Update System 2020-02-09 01:20:51 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 21 Fedora Update System 2020-02-09 01:35:54 UTC
mock-2.0-2.el8, mock-core-configs-32.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 22 Fedora Update System 2020-02-09 01:43:51 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 23 Fedora Update System 2020-02-09 01:47:59 UTC
mock-2.0-2.el7, mock-core-configs-32.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 24 Fedora Update System 2020-02-20 04:45:58 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-02-20 05:03:23 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-02-20 09:23:32 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 27 Fedora Update System 2020-02-20 09:24:48 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 28 Fedora Update System 2020-02-21 01:55:01 UTC
mock-2.0-2.el8, mock-core-configs-32.2-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 29 Fedora Update System 2020-02-21 01:55:54 UTC
mock-2.0-2.el7, mock-core-configs-32.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 30 Fedora Update System 2020-02-21 19:45:44 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 31 Fedora Update System 2020-02-21 19:46:30 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 32 Fedora Update System 2020-02-22 01:37:40 UTC
mock-2.0-2.el7, mock-core-configs-32.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 33 Fedora Update System 2020-02-22 02:36:34 UTC
mock-2.0-2.el8, mock-core-configs-32.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 34 Fedora Update System 2020-03-11 09:40:12 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 35 Fedora Update System 2020-03-12 22:25:34 UTC
mock-2.1-1.el8, mock-core-configs-32.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 36 Fedora Update System 2020-03-12 23:31:50 UTC
mock-2.1-1.el7, mock-core-configs-32.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 37 Fedora Update System 2020-03-26 16:23:28 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 38 Fedora Update System 2020-03-27 08:01:50 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 39 Fedora Update System 2020-03-27 13:23:02 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 40 Fedora Update System 2020-03-27 13:39:53 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 41 Fedora Update System 2020-04-02 07:53:23 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 42 Fedora Update System 2020-04-02 07:54:44 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 43 Fedora Update System 2020-04-03 20:19:43 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 44 Fedora Update System 2020-04-03 21:18:14 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 45 Fedora Update System 2020-05-05 05:46:18 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 46 Fedora Update System 2020-05-05 07:17:16 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.